package org.springblade.customer.service;

import org.springblade.customer.dto.FctCsRecordsDTO;
import org.springblade.customer.entity.FctCsRecords;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 客服投诉记录表 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
public interface IFctCsRecordsService extends IService<FctCsRecords> {

    boolean insertBatch(List<FctCsRecordsDTO> excelList);

	void setThedayByAcceptTime();

	void setSpcode();

	void setServiceType31();

	void setServiceType32();

	void setSpidByThisMonth(String sTime, String eTime);

	void setOtherSpidByThisMonth(String sTime, String eTime);

	void setShortName(String sTime, String eTime);

	void setShopName(String sTime, String eTime);

	boolean removeThisMonthData(String month);

	void callData(String sTime);

}
